package com.alibaba.druid.sql.dialect.gauss.ast.stmt;

import com.alibaba.druid.DbType;
import com.alibaba.druid.sql.ast.SQLStatementImpl;
import com.alibaba.druid.sql.dialect.gauss.visitor.GaussASTVisitor;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;

public class GaussStartTransactionStatement extends SQLStatementImpl implements GaussSQLStatement {
   public GaussStartTransactionStatement() {
      super(DbType.greenplum);
   }

   protected void accept0(SQLASTVisitor visitor) {
      if (visitor instanceof GaussASTVisitor) {
         this.accept0((GaussASTVisitor)visitor);
      }

   }

   public void accept0(GaussASTVisitor visitor) {
      visitor.visit(this);
      visitor.endVisit(this);
   }
}
